NeuroLate

Get a chapter

GET
/ext/v1/chapters/{id}

Status and page counters. Free.

Authorization

apiKey
headerAuthorizationBearer <nlk_… (team API key)>

Path Parameters

id*string
Formatuuid

Response Body

The chapter.

application/json
  1. response
id?string
Formatuuid
projectId?string
Formatuuid
number?number|null
type?string
Value in"MANGA""WEBTOON"
readingDirection?string
Value in"LTR""RTL"
status?string

CREATED — only source images, no pages yet; ASSEMBLED — pages are built.

Value in"CREATED""ASSEMBLED"
archived?boolean
pages?integer

Pages in the chapter (0 until assembled).

Formatint32
ocrDone?integer

Pages that already have text blocks (from OCR or added on the website).

Formatint32
createdAt?string
Formatdate-time
Example Request
curl -X GET 'https://api.neurolate.com/ext/v1/chapters/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "number": 0,
  "type": "MANGA",
  "readingDirection": "LTR",
  "status": "CREATED",
  "archived": true,
  "pages": 0,
  "ocrDone": 0,
  "createdAt": "2019-08-24T14:15:22Z"
}